*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
    font-family: 'Courier New', Courier, monospace;
    --fs-small: 0.875rem;   
    --fs-base: 1rem;        
    --fs-md: 1.25rem;      
    --fs-lg: 1.75rem;      
    --fs-xl: 2.5rem;
}

body {
    background: rgb(238, 235, 226);
    color: rgb(22, 22, 22);
    font-size: var(--fs-base); 
    line-height: 1.6;
    -webkit-font-smoothing: antialiased;
    overflow-x: hidden;
}
.news {
    min-height: 100svh;
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    max-width: 1000px;        
    margin: 0 auto;          
    padding: 4rem 0 2rem 0;   
    box-sizing: border-box;
}
.content-right {
    align-items: center;
    display: flex;
    gap: 3em;
}

.navbar .title {
    font-size: var(--fs-lg);
    font-weight: normal; 
    letter-spacing: -1px;
    margin: 0;               
    text-transform: lowercase; 
}
a {
    color: inherit;
    text-decoration: none;
    transition: opacity 0.3s;
}

a:hover {
    opacity: 0.6;
}
.language-switch {
  display: flex;
  flex-direction: row;
  gap: 10px; 
}
.language:hover {
    filter: invert(28%) sepia(85%) saturate(3015%) hue-rotate(338deg) brightness(98%) contrast(93%);
}
.menu-container {
    display: flex;
    align-items: center;
}
.icon-menu {
    display: inline-block;
    width: 30px; 
    height: 30px;
    background-image: url('images/icons/menu.svg');
    background-size: contain;
    background-repeat: no-repeat;
}
.icon-link:hover {
filter: invert(28%) sepia(85%) saturate(3015%) hue-rotate(338deg) brightness(98%) contrast(93%);
}

.news-gallery {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    margin-bottom: 4em;
    display: grid;
    gap: 3rem;
    justify-content: center;
}

.news-item figure {
    text-align: left; 
    display: flex;
    flex-direction: column;
}

.news-item img {
    margin-bottom: 0.75rem;
    order: -1; 
    width: 100%;
    height: 240px;
    object-fit: cover;
    border-radius: 8px;
    filter: sepia(20%) opacity(92);
}

@media (min-width: 768px) {
    .news-gallery {
        grid-template-columns: repeat(3, 1fr); 
        gap: 2rem;
    }
    .item-berlin { grid-column: span 2; grid-row: span 1; }
    .item-helsinki { grid-column: span 1; grid-row: span 1; }
    .item-cydoniabarocca { grid-column: span 1; grid-row: span 2; }
    .item-jazzlab { grid-column: span 2; grid-row: span 1; }

}

.article-title {
    font-size: var(--fs-md);
    font-weight: lighter;
    line-height: 1.2;
    margin-bottom: 1rem;
}

.article-date {
    font-size: var(--fs-small);
    font-weight: bolder;
}

p {
    font-size: var(--fs-base);
    line-height: 1.7;
    max-width: 65ch;
}

figure {
    text-align: center;
    justify-items: center;
}

